Summary:	A program for maintaining your Zip drive disks
Name:		gtkzip
Version:	0.5.1
Release:	10mdk
License:	GPL
Group:		Archiving/Other
BuildRequires:	XFree86-devel libimlib1-devel libgtop1-devel

Source0:	http://www.smallpig.net/gtkzip/%name-%version.tar.bz2 
Source1:	gtkzip16.xpm.bz2
Source2:	gtkzip32.xpm.bz2
Source3:	gtkzip48.xpm.bz2
BuildRoot:	%_tmppath/%name-%version-root
URL:		http://home.netvigator.com/~sallymak/gtkzip/
ExcludeArch:	ppc

%description
GtkZip is a program for maintaining your Iomega Zip drive disks under Linux. 

This program is based on ziptool, a command line program, and is written in C
using the GTK widget set.

%prep

%setup -q

%build
CFLAGS="%optflags -D_IN_LIBGTOP -DHAVE_GETTEXT" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix
	
%make

%install
install -d %buildroot/%_bindir
install -d %buildroot/%_datadir/icons/{mini,large}

cp ./src/gtkzip %buildroot/%_bindir/gtkzip

install -m 755 -d %buildroot/%_datadir/icons

bzcat %{SOURCE1} > %buildroot/%_miconsdir/gtkzip.xpm
bzcat %{SOURCE2} > %buildroot/%_iconsdir/gtkzip.xpm
bzcat %{SOURCE3} > %buildroot/%_liconsdir/gtkzip.xpm 


(
install -d %buildroot/%_menudir

cat > %buildroot/%_menudir/gtkzip <<EOF
?package(gtkzip):\
command="gtkzip"\
icon="gtkzip.xpm"\
title="GtkZip"\
longtitle="A programm for maintaining your Zip drive disks"\
needs="x11"\
section="Applications/Archiving/Other"
EOF
)

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*
%_menudir/*
%_miconsdir/*.xpm
%_iconsdir/*.xpm
%_liconsdir/*.xpm  

%changelog
* Tue Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.1-10mdk
- ExcludeArch: ppc

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.1-9mdk
- Fix BuildRequires
- Spec clean up

* Fri Oct 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-8mdk
- add all sizes of icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.1-7mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-6mdk
- macrosfications
- rebuild for the BM

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-5mdk
- merge menu file with spec

* Thu Apr 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-4mdk
- fix menu entry
- add clean section

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-3mdk
- clean specfile
- add menu entry

* Wed Nov 10 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 5.1
- Added icon 
- Compilation fix

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Mon Apr 19 1999 Alexandre Dussart	<adussart@mandrakesoft.com>
-Updated to 0.5

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
-Mandrake-compliant.
-Install binary in /usr/X11R6/bin.
